#ifndef _EDITYEASTPACK_H
#define _EDITYEASTPACK_H

#include <QDialog>


namespace Ui {
class EditYeastPack;
}

class EditYeastPack : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditYeastPack(int id, QWidget *parent = 0);
    ~EditYeastPack();

private slots:
    void on_saveButton_clicked();
    void on_cloneButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void form_changed();
    void viability_changed();

private:
    Ui::EditYeastPack *ui;
    int recno, lasttime = 0;
    bool textIsChanged = false;

    void WindowTitle();
    void PackSet();
    void Viability();
};

#endif
